Name:		pino
Version:	0.2.8
Release:	1%{?dist}
Summary:	A fast, easy and free Twitter and identi.ca client

Group:		Applications/Internet
License:	LGPLv3+
URL:		http://code.google.com/p/pino-twitter/
Source0:	http://pino-twitter.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:	waf vala intltool gettext desktop-file-utils
BuildRequires:	libgee-devel libnotify-devel libsoup-devel libxml2-devel
BuildRequires:	webkitgtk-devel unique-devel gtkspell-devel
Requires:	hicolor-icon-theme

%description
Pino is Twitter and identic.ca client for Linux desktop. It's simple and fast. 
Pino is written in Vala language and compiled to the native binary code. 

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-lm" waf configure --prefix=%{_prefix}
waf build -v %{?_smp_mflags}


%install
waf install --destdir=$RPM_BUILD_ROOT -p

# Remove docs from /usr/share/doc/pino
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/pino

%find_lang %{name}

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/pino.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/pino
%{_datadir}/applications/pino.desktop
%{_datadir}/icons/hicolor/scalable/*/*.svg
%dir %{_datadir}/pino
%{_datadir}/pino/icons/*
%{_datadir}/pino/templates/*.tpl
%{_datadir}/indicators/messages/applications/pino

%changelog
* Mon May 10 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.8-1
- Important bug fixes
- option for link colors
- update spec to match latest guidelines w.r.t buildroot
- update summary and description to note identi.ca support

* Fri Apr 30 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.7-1
- Update to 0.2.7 upstream
- Several changes to reduce number of crashes

* Tue Apr 13 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.6-1
- Update to 0.2.6 upstream

* Sun Apr 04 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.5-1
- Update to 0.2.5 upstream

* Fri Apr 02 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.4-5
- Update to 0.2.4
- rpmlint now is silent
- Resolves:rh#564722-FTBFS pino-0.1.4-1.fc13: ImplicitDSOLinking

* Mon Jan 11 2010 Allisson Azevedo <allisson@gmail.com> - 0.1.2-1
- Update to 0.1.2
- Fixed macro consistency
- Changed Waf build to use verbose mode
- Fixed timestamp for Source0
- Use Parallel make for build

* Mon Jan  4 2010  Allisson Azevedo <allisson@gmail.com> - 0.1.1-1
- Update to 0.1.1
- Using waf as BR
- Updated description
- Using rpmmacros in build section

* Tue Dec 29 2009  Allisson Azevedo <allisson@gmail.com> - 0.1.0-1
- Update to 0.1.0

* Mon Dec 28 2009 Allisson Azevedo <allisson@gmail.com> - 0.1.0-0.2.rc3
- Update to 0.1.0rc3
- Fix BR
- Added desktop file validate for pino.desktop

* Wed Dec 23 2009 Allisson Azevedo <allisson@gmail.com> - 0.1.0-0.1.rc2
- Initial RPM release
